<template>
	<div class="send__mess--left">
		<p class="text-bold">{{ $t('users.mail.title') }}</p>
		<form action="" @submit.prevent="submit">
			<div class="box__send--input">
				<label for="form_from">{{ $t('users.mail.from') }}</label>
				<input type="text" id="form_from" v-model="form.from">
			</div>
			<textarea v-model="form.message"/>
			<button class="save-new" type="submit">{{ $t('users.mail.submit') }}</button>
		</form>
	</div>
</template>

<script>
import laravelValidationErrorParse from "Admin/mixins/laravelValidationErrorParse";
import {mapGetters} from "vuex";

export default {
	name: "SendMail",
	mixins: [laravelValidationErrorParse],
	props: ['user'],
	data(){
		return {
			form: {
				from: '',
				message: ''
			},
		}
	},
	computed: {
		...mapGetters([
			'axios'
		]),
		...mapGetters('auth', {
			admin: 'user'
		}),
	},
	watch: {
		admin(user){
			this.form.from = user.email;
		}
	},
	methods: {
		submit(){
			this.axios
				.post(`users/${this.user.id}/mail`, this.form)
				.then(resp => resp.data)
				.then(data => {
					if('success' === data.status){
						this.$swal('Письмо отправлено');
					}else{
						this.$swal(this.$t('ui.error'), '', 'error')
					}
				})
				.catch((error) => {
					this.displayErrorsSwal(error);
				});
		}
	},
}
</script>

<style scoped>
textarea{
	padding-top: 15px;
}
</style>
